summaryrefslogtreecommitdiff
path: root/modules/blobs/get.l.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules/blobs/get.l.sh')
-rw-r--r--modules/blobs/get.l.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/modules/blobs/get.l.sh b/modules/blobs/get.l.sh
new file mode 100644
index 0000000..8215cf6
--- /dev/null
+++ b/modules/blobs/get.l.sh
@@ -0,0 +1,33 @@
+#!/usr/bin/env bash
+name=blobs/get.l
+desc='Get a symbolic link from the repository'
+copyright=('2016 Luke Shumaker')
+license='AGPLv3+'
+# This file is part of rvs.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+usage="ID DIRNAME"
+. "${0%/*}/_shlib.sh"
+
+main() {
+ [[ $# -eq 2 ]] || errusage
+ id=$1
+ name=$2
+
+ mkdir -p -- "$(dirname -- "$name")"
+ ln -sf "$("$RVS" get.f "$id" /dev/stdout)" "$name"
+}
+
+main "$@"